%define upstream_name    Test-Aggregate
%define upstream_version 0.364

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Internal overrides for Test::Builder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(FindBin)
BuildRequires: perl(Test::Harness)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
*WARNING*: this is ALPHA code. The interface is not guaranteed to be
stable. Further, check out the Test::Aggregate::Nested manpage (included
with this distribution). It's a more robust implementation which does not
have the same limitations as 'Test::Aggregate'.

A common problem with many test suites is that they can take a long time to
run. The longer they run, the less likely you are to run the tests. This
module borrows a trick from 'Apache::Registry' to load up your tests at
once, create a separate package for each test and wraps each package in a
method named 'run_the_tests'. This allows us to load perl only once and
related modules only once. If you have modules which are expensive to load,
this can dramatically speed up a test suite.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.364.0-2.mga3
+ Revision: 373336
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 23 2011 shlomif <shlomif> 0.364.0-1.mga2
+ Revision: 186561
- Correct a typo
- imported package perl-Test-Aggregate

